Apps escape lifecycle if unfocused in "starting" state from hitting power button

Bug #1326906 reported by Pat McGowan on 2014-06-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qtmir (Ubuntu)
High
Michael Zanetti

Bug Description

Mako running 67
Phone got into a state where the clock app, the settings app and sensors.qcom were all running continuously at 8-10% cpu despite the fact that they were not in the foreground, and either app scope or lock screen was shown. Other apps I had started were not using cpu.

Steps to repro:
* start an app and immediately press power to lock the phone

Alternate steps:
0 - start top from command line
1 - start an app (notes, system settings clock, ) and wait until its fully loaded, say 5-10 secs
2 - left edge swipe to reveal the app scope
3 - press power to turn off, then again to turn on
4 - right edge swipe to dismiss lock screen and show the app scope
top will start to show the app and sensors.qcom at 8-10% until the system goes to suspend.

Expected results:
* app gets suspended

Current result:
* app stays active

Related branches

Pat McGowan (pat-mcgowan) wrote :

I reproduced after a time using clock, settings and several other apps. qmlscene here is the clock app. This is after pushing the power button to close the phone

hPID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 4636 phablet 20 0 299604 64924 35464 S 10.0 3.5 0:43.22 qmlscene
 1033 9999 20 0 10904 828 488 S 9.7 0.0 0:32.37 sensors.qcom
 7109 phablet 20 0 474588 72276 51880 S 8.0 3.8 0:08.55 webapp-containe
 1038 root 20 0 8248 1624 1224 S 7.1 0.1 0:31.59 Binder_2

tags: removed: not-reproducible
Pat McGowan (pat-mcgowan) wrote :

I switched focus away from webapp right after it finished loading
 then the cpu% all went up and stayed up
clock and settings also running
Dont think it depends ont he webapp

Michał Sawicz (saviq) on 2014-06-05
summary: - Apps still using cpu when not active
+ Apps escape lifecycle if unfocused in "starting" state
description: updated
Changed in unity-mir:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Gerry Boland (gerboland)

(I have seen the cpu stay high even in this case) note that rotating the phone will cause cpu to spike on the app even though its not supposed to be active. Indeed the app icon in the scope rotated even though the app was never made active. Its as if unity thinks its shown rather than the scope.

I also note a behavior change in that from the lock screen right edge and left edge swipes do the same thing now, whereas left edge used to always show the app scope.

description: updated
kevin gunn (kgunn72) on 2014-09-02
summary: - Apps escape lifecycle if unfocused in "starting" state
+ Apps escape lifecycle if unfocused in "starting" state from hitting
+ power button
kevin gunn (kgunn72) wrote :

n4 image#213 devel-proposed
I just confirmed this, definitely something funky with launching and hitting the button before the app is displayed
latest clock app has a continuous second hand sweep which highlights something

following these steps I saw
1) launch clock app - punch power key before first screen qmlscene ~14% cpu continuously (after settling) the entire time screen is off
2) turn screen to where greeter is showing on qml scene jumps to ~35-45% cpu
3) allow screen to dim, qmlscene drops down to ~14% cpu
4) turn on screen, swipe away greeter qmlscene (eventually/couple of seconds) drops to ~0% cpu
5) reveal clock app by selecting clock (as its already been started) and
6) kill clock app and restart, don't hit power button, qml scene is ~35-45% cpu
7) strike power button while clock app is on top (eventually/couple of seconds) drops to ~0% cpu
8) turn screen to where greeter is showing on qml scene remains ~0% cpu

tags: added: touch-2014-10-16
Gerry Boland (gerboland) on 2014-09-03
affects: unity-mir → qtmir
Changed in qtmir:
status: Triaged → In Progress
assignee: Gerry Boland (gerboland) → Michael Zanetti (mzanetti)
Changed in qtmir:
status: In Progress → Fix Released
Michał Sawicz (saviq) on 2017-03-13
affects: qtmir → qtmir (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers